CookieList
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.json
Class CookieList

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.json.CookieList

    public class CookieList

extends java.lang.Object

Convert a web browser cookie list string to a JSONObject and back.

Version:
  2010-12-24
Author:
  JSON.org

Constructor Summary
`CookieList()`

Method Summary
`static JSONObject` | `toJSONObject(java.lang.String string)` Convert a cookie list into a JSONObject.
`static java.lang.String` | `toString(JSONObject jo)` Convert a JSONObject into a cookie list.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CookieList

    public CookieList()

Method Detail

### toJSONObject

    public static JSONObject toJSONObject(java.lang.String string)
                                   throws JSONException

  Convert a cookie list into a JSONObject. A cookie list is a sequence of name/value pairs. The names are separated from the values by '='. The pairs are separated by ';'. The names and the values will be unescaped, possibly converting '+' and '%' sequences. To add a cookie to a cooklist, cookielistJSONObject.put(cookieJSONObject.getString("name"), cookieJSONObject.getString("value"));

  Parameters:
    `string` - A cookie list string
  Returns:
    A JSONObject
  Throws:
    `JSONException`

### toString

    public static java.lang.String toString(JSONObject jo)
                                     throws JSONException

  Convert a JSONObject into a cookie list. A cookie list is a sequence of name/value pairs. The names are separated from the values by '='. The pairs are separated by ';'. The characters '%', '+', '=', and ';' in the names and values are replaced by "%hh".

  Parameters:
    `jo` - A JSONObject
  Returns:
    A cookie list string
  Throws:
    `JSONException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD